List available recipient companies for a tenant
const url = 'https://sender.api.kivra.com/v1/tenant/example/company?vat_number=SE556000475501';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sender.api.kivra.com/v1/tenant/example/company?vat_number=SE556000475501' \ --header 'Authorization: Bearer <token>'This resource is used to list all, or search for specific, Companies that are eligible for receiving Content from the specific Tenant. The response is a JSON list of Objects containing the eligible Companies’ VAT number.
A search is done by providing the vat_number query parameter. If a search is done and the Company does not exist or have opted out of receiving Content from the Tenant an empty list will be returned.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The unique Key for a Tenant.
Query Parameters
Section titled “Query Parameters”A Swedish VAT number (“momsregistreringsnummer”).
Example
SE556000475501Perform a search to see if a VAT number matches an eligible Company Recipient of the Tenant.
Responses
Section titled “Responses”List of Companies’ keys and VAT numbers which are eligible Recipients of the Tenant.
object
This value is deprecated and will always be set to the empty string.
A Swedish VAT number (“momsregistreringsnummer”).
Example
[ { "key": "", "vatnr": "SE556000475501" }]